# -*- mode: RPM-SPEC; coding: utf-8 -*-
%define name    showimg
%define version 0.9.4.1
%define src_version 0.9.4-1
%define release alt2

Name:           %name
Summary: An Image and Photo Manager
Summary(ru_RU.UTF-8): Менеджер изображений и фотографий 
Version:        %version
Release:        %release
Source0:        http://www.jalix.org/projects/showimg/download/%version/%name-%src_version.tar.bz2
Source1:        showimg-0.9.4-1-ru.po
Source2:        showimg-0.9.4-1.ru_docbook.tar.bz2
Patch1:		showimg-0.9.3-PSD-handler.patch
Patch2:         showimg-0.9.4-1-alt-final_gcc3.4_hack.patch
URL:            http://www.jalix.org/projects/showimg/
Group:		Graphics
License:        GPL
AutoReqProv:	yes, noperl

Requires: %{get_dep kdelibs}

BuildRequires: kdelibs-devel ImageMagick gcc-c++ kdebase-devel libkipi-devel libkexif-devel

%description
ShowImg is a feature-rich image viewer for KDE  including an image management system.

It is highly configurable and supports numerous image formats. Additionaly
it can use KIPI (former digikam's) plugins if they are available

%description -l ru_RU.UTF-8
ShowImg - это программа просмотра изображения для KDE со множеством функций, в том числе,
по управлению изображениями.

ShowImg хорошо настраивается и поддерживает массу форматов изображений. Кроме этого,
она поддерживает плагины KIPI (ранее входившие в digikam), если они установлены

#prep section
%prep
%setup -q -n %name-%src_version -a 2
%patch1 -p1
%patch2 -p1
%__install %SOURCE1 po/ru.po

subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
subst "s/\.la/.so/g" admin/acinclude.m4.in

subst "s/\(src=\\\\\"\)\(crystalsvg\/22x22\/actions\/locationbar_erase.png\\\\\"\)/\1..\/apps\/showimg\/icons\/\2/" po/*.po

%build
%__libtoolize --copy --force
make -f admin/Makefile.common cvs

%configure \
    --enable-final \
    --disable-static \
    --enable-shared \
    --disable-rpath \
    --enable-libkipi \
    --with-kexif
%make

#install section
%install

%makeinstall

mkdir -p %buildroot/{%_iconsdir,%_liconsdir,%_miconsdir}

install -D -m 0644      %{name}app/hi48-app-showimg.png %buildroot%_liconsdir/showimg.png
install -D -m 0644      %{name}app/hi32-app-showimg.png %buildroot%_iconsdir/showimg.png
convert -geometry 16x16 %{name}app/hi64-app-showimg.png %buildroot%_miconsdir/showimg.png

# create menus
mkdir -p %buildroot/%_menudir
kdedesktop2mdkmenu.pl %name "Multimedia/Graphics" \
	%buildroot/%_datadir/applnk/Graphics/showimg.desktop %buildroot/%_menudir/%name \
	kde ShowImg

# cat << EOF > %buildroot/%_menudir/%name
# ?package(%{name}): command="%_bindir/%name" \
# icon="%name.png" \
# needs="X11" \
# section="Multimedia/Graphics" \
# title="%name" \
# longtitle=" ShowImg is a feature-rich image viewer for KDE  including an image management system. It is highly configurable and supports numerous image formats." \
# startup_notify="true" \
# mimetypes="image/gif;image/x-xpm;image/x-xbm;image/jpeg;image/bmp;image/png;image/x-png;image/tiff;image/x-xcf;image/x-bmp;image/x-psd;image/x-eim;image/x-portable-bitmap;image/x-portable-pixmap;image/x-portable-anymap;image/x-portable-graymap;application/sia" \
# accept_url="false" \
# multiple_files="false"
# EOF

# Handling internationalization cleanly
%find_lang --with-kde %name
# find lang is slightly broken...
subst 's|\(.*\)/en_GB/\(.*\)|%%lang(en_GB) \1/en_GB/\2|' %name.lang

%clean

#This script is executed just after the package is installed on the system.
%post
%update_menus

#This script is executed just after the package is uninstalled on the system.
%postun
%clean_menus


#files section
%files -f %name.lang
%doc README NEWS COPYING AUTHORS ChangeLog

%_datadir/apps/showimg
%_datadir/apps/showimgpart
%_datadir/apps/konqueror/servicemenus/konqshowimg.desktop

%_datadir/services/*.desktop
%_datadir/applnk/Graphics/*.desktop
%config(noreplace) %_datadir/mimelnk/image/*.desktop
#%ghost
#%config(noreplace) %{_datadir}/mimelnk/image/x-psd.desktop
%_iconsdir/*/*/*/*.png

%_libdir/kde3/*
%_libdir/*.so*

%docdir %_datadir/doc/HTML/
%_miconsdir/%name.png
%_liconsdir/%name.png
%_iconsdir/%name.png

%_menudir/%name
%_man1dir/showimg.1*
%_bindir/%name


%changelog
* Mon Feb 14 2005 Alexey Morozov <morozov@altlinux.org> 0.9.4.1-alt2
- handbook translation fixes

* Sun Feb 13 2005 Alexey Morozov <morozov@altlinux.org> 0.9.4.1-alt1
- New version (0.9.4-1)
- Translation fixes
- Spec file cleanups and improvements

* Fri Jul  9 2004 Alexey Morozov <morozov@altlinux.org> 0.9.3-alt1
- Initial build.
- Translation should be accurately proof-read.

#add in section %file
#%{_datadir}/doc/HTML/de/showimg/common
#%{_datadir}/doc/HTML/en/showimg/common
#remove in section %file
#%{_datadir}/mimelnk/image/x-psd.desktop
#already added by mandrake-mime.9.0.4 :
#file /usr/share/mimelnk/image/x-psd.desktop from install of showimg-0.9.1-1mdk conflicts with file from package mandrake-mime-0.4-9mdk
#remove section requires
#will use
#gimp-1.2.5-10mdk.i586
#gimp-perl-1.2.5-10mdk.i586
#libgimp1.2-1.2.5-10mdk.i586
#libgimp1.2_1-1.2.5-10mdk.i586
